## dmarc-cat 0.9.1

=== debian/changelog ===
dmarc-cat (0.9.1-1) unstable; urgency=medium

  * Initial release (Closes: #920385)

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 27 Jan 2019 19:27:54 -0500

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	dh_auto_install -- --no-source

%:
	dh $@ --buildsystem=golang --with=golang


override_dh_dwz:
	echo "W: dwz(1) fails on this package, cause unknown"

## dmarc-cat 0.9.2

=== debian/changelog ===
dmarc-cat (0.9.2-4) unstable; urgency=medium

  * upload to unstable

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 24 May 2019 10:45:11 -0400

dmarc-cat (0.9.2-3) experimental; urgency=medium

  * fix autopkgtest missing build-tree requirement

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 23 May 2019 14:51:42 -0400

dmarc-cat (0.9.2-2) unstable; urgency=medium

  * move test suite to autopkgtest because of network access (Closes:
    #928990)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 21 May 2019 10:13:55 -0400

dmarc-cat (0.9.2-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 06 Feb 2019 10:21:31 -0500

## dmarc-cat 0.14.0

=== Makefile ===
# Main Makefile for dmarc-cat
#
# Copyright 2018 © by Ollivier Robert
#

GO=		go
GOBIN=  ${GOPATH}/bin

BIN=	dmarc-cat

SRCS= analyze.go file.go main.go resolve.go types.go utils.go

OPTS=	-ldflags="-s -w" -v

all: ${BIN}

${BIN}: ${SRCS}
	${GO} build -o ${BIN} ${OPTS} .

test:
	${GO} test -v .

lint:
	gometalinter

install: ${BIN}
	${GO} install ${OPTS} .

clean:
	${GO} clean -v

push:
	git push --all
	git push --tags

## dmarc-cat 0.12.0

=== debian/changelog ===
dmarc-cat (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 27 Oct 2019 16:03:03 -0400

=== debian/control ===
Source: dmarc-cat
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-keltia-archive-dev,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev,
               golang-github-ivpusic-grpool-dev,
               golang-github-intel-tfortools-dev,
Standards-Version: 4.3.0
Homepage: https://github.com/keltia/dmarc-cat
Vcs-Browser: https://salsa.debian.org/go-team/packages/dmarc-cat
Vcs-Git: https://salsa.debian.org/go-team/packages/dmarc-cat.git
XS-Go-Import-Path: github.com/keltia/dmarc-cat
Testsuite: autopkgtest-pkg-go

Package: dmarc-cat
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: decode DMARC reports
 This utility decodes the standard XML reports sent by providers to the
 `rua` record configured in DMARC. It is useful to make sense of
 reports that are otherwise very difficult to read.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dmarc-cat-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/keltia/dmarc-cat/tags .*/v?(\d\S*)\.tar\.gz

## dmarc-cat 0.14.0

=== debian/changelog ===
dmarc-cat (0.14.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Thorsten Alteholz ]
  * New upstream release
  * Add myself to Uploaders:
  * debian/control: bump standard to 4.5.1 (no changes needed)
  * debian/control: use dh13

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 14 Jan 2021 16:38:18 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Antoine Beaupré <anarcat@debian.org>,
+	Thorsten Alteholz <debian@alteholz.de>
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-keltia-archive-dev,
@@ -11,7 +12,7 @@
                golang-github-stretchr-testify-dev,
                golang-github-ivpusic-grpool-dev,
                golang-github-intel-tfortools-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/keltia/dmarc-cat
 Vcs-Browser: https://salsa.debian.org/go-team/packages/dmarc-cat
 Vcs-Git: https://salsa.debian.org/go-team/packages/dmarc-cat.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dmarc-cat-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/keltia/dmarc-cat/tags .*/v?(\d\S*)\.tar\.gz debian uupdate

## dmarc-cat 0.15.0

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,9 @@
 ${BIN}: ${SRCS}
 	${GO} build -o ${BIN} ${OPTS} .
 
+windows: ${SRCS}
+	${GO} build -o ${BIN}.exe ${OPTS} .
+
 test:
 	${GO} test -v .

=== debian/changelog ===
dmarc-cat (0.15.0-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 12:24:36 +1000

dmarc-cat (0.15.0-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 25 Oct 2024 14:29:48 +1000

dmarc-cat (0.15.0-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 10:21:44 +0530

dmarc-cat (0.15.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:43:08 +1100

dmarc-cat (0.15.0-1build2) noble; urgency=medium

  * No-change rebuild for libgpgme t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 16:47:43 +0100

dmarc-cat (0.15.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:41 +1200

dmarc-cat (0.15.0-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * New upstream version 0.15.0 (Closes: #971994, #923551, #965967,
    #999578)

  [ Aloïs Micard ]
  * Run standard Salsa CI tools from the Golang team

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 08 Nov 2022 09:05:27 -0500

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 %:
 	dh $@ --buildsystem=golang --with=golang
 
+override_dh_auto_test:
+	echo "W: skipping test suite that attempts network connexions during build, see #928990"
 
 override_dh_dwz:
 	echo "W: dwz(1) fails on this package, cause unknown"
